io.vertx.mqtt

## Class MqttAuth

- java.lang.Object
- - io.vertx.mqtt.MqttAuth

-     public class MqttAuth
      extends Object

  MQTT authentication information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttAuth(JsonObject json)` Create instance from JSON
    `MqttAuth(String username, String password)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPassword()`
    `String` | `getUsername()`
    `String` | `password()` Deprecated. use instead `getPassword()`
    `JsonObject` | `toJson()` Convert instance in JSON
    `String` | `userName()` Deprecated. use instead `getUsername()` ()}

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MqttAuth

          public MqttAuth(String username,
                          String password)

      Constructor
      Parameters:
        `username` - MQTT client username
        `password` - MQTT client password

    - #### MqttAuth

          public MqttAuth(JsonObject json)

      Create instance from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getUsername

          public String getUsername()

      Returns:
        the username provided by the remote MQTT client

    - #### userName

          @Deprecated
          public String userName()

      Deprecated. use instead `getUsername()` ()}
      Returns:
        the username provided by the remote MQTT client

    - #### getPassword

          public String getPassword()

      Returns:
        the password provided by the remote MQTT client

    - #### password

          @Deprecated
          public String password()

      Deprecated. use instead `getPassword()`
      Returns:
        the password provided by the remote MQTT client

    - #### toJson

          public JsonObject toJson()

      Convert instance in JSON
      Returns:
        JSON representation

Copyright © 2019 Eclipse. All rights reserved.